(function() {
	var app = angular.module( 'FormApp', [] );

	app.controller( 'Form', ['$http', function( $http ) {
		this.formData = {};
		this.sent = false;
		this.sending = false;
		this.errored = false;
		var ctrl = this;

		this.doSubmit = function() {
			this.sending = true;

			$http({
				url: 		'?sent=ok',
				method: 	'POST',
				data: 		this.formData
			}).success( function( data ) {
				ctrl.sending = false;
				
				if ( data.status == 200 ) {
					ctrl.sent = true;
					ctrl.formData = {};
				} else {
					ctrl.errored = true;
				}
			}).error( function( data ) {
				ctrl.sending = false;
				ctrl.errored = true;
			} );
		};
	}] );
})();